@import 'mixins';

// Datatables styling
@import '~@swimlane/ngx-datatable/index.css';
@import '~@swimlane/ngx-datatable/themes/bootstrap.css';
@import '~@swimlane/ngx-datatable/assets/icons.css';

// https://www.npmjs.com/package/ngx-toastr
// regular style toast
@import '~ngx-toastr/toastr.css';

// import our other files
@import './checkbox.scss';
@import './inputs.scss';

// Our custom scss:
host {
  display: block;
  width: 100%;
}

%border-padding {
  border: 1px solid #ccc;
  padding: 10px;
  color: #333;
}

//
// Variables
//
$width-lg: 1260px;
$width-md: 940px;
$width-sm: 760px;
$width-left-column: 300px;
$width-right-column: 300px;
$row-gap: 15px;
$column-gap: 15px;

main {
  width: $width-lg;
}

.page-menu__item > .page-menu__link,
.nav__link--top-level,
* {
  color: #333;
}

.viewer {
  &__container {
    margin: 25px auto 20px;
    max-width: $width-lg;
    // demo van mixin
    // @include border-radius(5px);
    // demo van overerving
    // @extend %border-padding;
  }

  &__columns {
    display: grid;
    grid-template-rows: auto auto auto auto;
    grid-column-gap: $column-gap;
    grid-row-gap: $row-gap;
    grid-template-columns: $width-left-column auto $width-right-column;
    grid-template-areas:
      'lefttop header header'
      'lefttop filters aside'
      'nav article aside'
      '. footer aside';
  }

  &__fullwidth {
    display: grid;
    grid-template-rows: auto;
    grid-column-gap: $column-gap;
    grid-row-gap: $row-gap;
    grid-template-columns: auto;
    grid-template-areas:
      'header'
      'filters'
      'article'
      'footer';
  }

  &__wide {
    display: grid;
    grid-template-rows: auto auto;
    grid-column-gap: $column-gap;
    grid-row-gap: $row-gap;
    grid-template-columns: $width-left-column auto;
    grid-template-areas:
      'lefttop header'
      'lefttop filters'
      'nav article'
      '. footer';
  }
}

header {
  grid-area: header;

  h1 {
    margin-top: 4px;
    margin-bottom: 4px;
  }

  h4.sub-title {
    margin: 0px;
  }
}

.filters {
  grid-area: filters;
}

lefttop {
  grid-area: lefttop;
}

nav {
  grid-area: nav;
}

article {
  grid-area: article;
}

aside {
  grid-area: aside;
}

footer {
  grid-area: footer;
}

section {
  margin-top: 10px;
  margin-bottom: 10px;
}

.ngx-datatable.bootstrap {
  .datatable-header {
    font-size: 1.2em;
    font-style: bold;
  }

  .datatable-footer {
    background-color: transparent;
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
  }

  .datatable-body .datatable-body-row.active {
    // background-color: red;
  }

  .datatable-body-row {
    cursor: pointer;
    font-size: 1.15em;

    .datatable-row-even {
      background-color: #eeeeee;
    }
  }

  .datatable-row-wrapper:hover {
    background-color: #dddddd;
  }
}

.dnd {
  &__content {
    &__name p {
      margin: 2px;
    }
  }
}
